

regression = function (x, y) -> output

       n = x.length;
       xm = x.mean;
       ym = y.mean;
       sxx = sum((x-xm).^2);
       sxy = sum((x-xm) .* (y-ym));
       
       b1h = sxy / sxx;
       b0h = ym - b1h * xm;
  
       yh = b0h + b1h * x;
       res = y - yh;
       sse = sum((y-yh).^2);
       s = sqrt(sse / (n-2));
       syy = sum((y-ym).^2);
       r2 = 1 - sse/syy;

       output = {b0h = b0h, b1h = b1h, sse = sse, s = s, r2 = r2, sxx = sxx,
		 sb1 = s/sqrt(sxx),
show = ("b0h", "b1h", "sse", "s", "r2", "sxx", "sb1")
		 };
end


